/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright (C) Yeico S. A. de C. V.
 * xlsLib -- A multiplatform, C++ library for dynamic generation of Excel (TM) 
 * files.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 * $Source: /cvsroot/xlslib/xlslib/src/xlslib/common.h,v $
 * $Revision: 1.1.1.1 $
 * $Author: darioglz $
 * $Date: 2004/08/27 16:31:57 $
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 * File description:
 *
 *
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef COMMON_H
#define COMMON_H

#include <systype.h>

#include <list>
#include <vector>
#include <algorithm>
#include <string>

namespace xlslib_core
{

  // Some typedefs used only by xlslib core
  typedef struct
  {
    unsigned16_t first_row;
    unsigned16_t last_row;

    unsigned16_t first_col;
    unsigned16_t last_col;
                
  }range_t;


#if defined(_MSC_VER) && defined(WIN32)
  typedef std::list<range_t* XLSLIB_DFLT_ALLOCATOR> Range_List_t;
  typedef Range_List_t::iterator Range_List_Itor_t;

  class range;
  typedef std::list<range* XLSLIB_DFLT_ALLOCATOR> RangeObj_List_t;
  typedef RangeObj_List_t::iterator RangeObj_List_Itor_t;

#else  
  typedef std::list<xlslib_core::range_t* XLSLIB_DFLT_ALLOCATOR> Range_List_t;
  typedef Range_List_t::iterator Range_List_Itor_t;

  class range;
  typedef std::list<xlslib_core::range* XLSLIB_DFLT_ALLOCATOR> RangeObj_List_t;
  typedef RangeObj_List_t::iterator RangeObj_List_Itor_t;
#endif
}
#endif //COMMON_H
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * $Log: common.h,v $
 * Revision 1.1.1.1  2004/08/27 16:31:57  darioglz
 * Initial Import.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

