/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright (C) Yeico S. A. de C. V.
 * xlsLib -- A multiplatform, C++ library for dynamic generation of Excel (TM) 
 * files.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 * $Source: /cvsroot/xlslib/xlslib/src/oledoc/oledoc.h,v $
 * $Revision: 1.1.1.1 $
 * $Author: darioglz $
 * $Date: 2004/08/27 16:31:43 $
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 * File description:
 *
 *
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#ifndef OLEDOC_H
#define OLEDOC_H 

#include <config.h>
#include <systype.h>

#include "binfile.h"
#include "olefs.h"
#include "datast.h"

namespace xlslib_core
{

  /* 
******************************
COleFile class declaration
******************************
*/

  class COleDoc: public CBinFile, public COleFileSystem 
    {
    private:
      int DumpHeader(signed32_t bat_count, unsigned32_t total_data_size);
      int  DumpData(void);
      int  DumpDepots(unsigned32_t bat_blocks);
      int  DumpFileSystem(void);

      signed16_t GetUnicodeName(const char* name, char** ppname_unicode);
      int DumpNode(COleProp& node);
  
      signed32_t GetBATCount();


      static const unsigned8_t OLE_FILETYPE[]; 
    
 
    protected:
  
  

    public:
      COleDoc();
      //COleDoc(const string& file_name);
      ~COleDoc();

      int DumpOleFile();
    };

}

#endif //OLEDOC_H

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * $Log: oledoc.h,v $
 * Revision 1.1.1.1  2004/08/27 16:31:43  darioglz
 * Initial Import.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

