/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright (C) Yeico S. A. de C. V.
 * xlsLib -- A multiplatform, C++ library for dynamic generation of Excel (TM) 
 * files.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 * $Source: /cvsroot/xlslib/xlslib/src/oledoc/olefs.h,v $
 * $Revision: 1.1.1.1 $
 * $Author: darioglz $
 * $Date: 2004/08/27 16:31:43 $
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 * File description:
 *
 *
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#ifndef OLEFS_H
#define OLEFS_H
 
#include <config.h>
#include <systype.h>

#include "oleprop.h"
#include "datast.h"

namespace xlslib_core
{

#define FS_NO_ERRORS            ((int)0)
#define FS_INVALID_PATH         ((int)-1)
#define FS_NODE_ALREADY_EXISTS  ((int)-2)
#define FS_NODE_NOT_A_DIRECTORY ((int)-3)


  /* 
***********************************
COleFileSystem class declaration
***********************************
*/
  class COleFileSystem
    {
    private:

    public:
      COleProp m_RootEntry;  /// temporally public (for debugging)

      int GetNode(std::string const &path,  Tree_Level_Itor_t& node);

      int AddDirectory(std::string const &dir_path);
      int AddFile(std::string const &dir_path, CDataStorage* pdata);

      int AddNode(COleProp* base_node, StringList_t& path_list);
      int SearchNode(COleProp* base_node, StringList_t& path_list, Tree_Level_Itor_t& node_level);


      void GetAllNodesList(NodeList_t& node_list, COleProp* base_node);
      void GetAllNodes(NodeList_t& node_list);
      void SortList(NodeList_t& node_list);


      signed32_t m_nProperty_Count;

      COleProp& GetRootEntry();
      unsigned32_t GetTotalDataSize();
      unsigned32_t GetNumDataFiles();

    public:
      COleFileSystem();
      ~COleFileSystem();

    };

}
#endif //OLEFS_H

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * $Log: olefs.h,v $
 * Revision 1.1.1.1  2004/08/27 16:31:43  darioglz
 * Initial Import.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

