/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright (C) Yeico S. A. de C. V.
 * xlsLib -- A multiplatform, C++ library for dynamic generation of Excel (TM) 
 * files.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 * $Source: /cvsroot/xlslib/xlslib/src/xlslib/record.h,v $
 * $Revision: 1.1.1.1 $
 * $Author: darioglz $
 * $Date: 2004/08/27 16:31:54 $
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 * File description:
 *
 *
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#ifndef RECORD_H
#define RECORD_H

#include <config.h>
#include "common.h"
#include "rectypes.h"
#include "unit.h"

namespace xlslib_core
{

#define  VERSION_BIFF57           ((unsigned16_t)0x0500)
#define  VERSION_BIFF8            ((unsigned16_t)0x0600)

  /* 
******************************
CRecord class declaration
******************************
*/
  class CRecord: public CUnit
    {
    protected:

      unsigned16_t m_Num;

    public:

      CRecord();
      ~CRecord();
  
      void SetRecordType(unsigned16_t rtype);
      unsigned16_t GetRecordType();

      void SetRecordLength(unsigned16_t);
      unsigned16_t GetRecordLength();

      unsigned8_t* GetRecordDataBuffer();
      unsigned32_t GetRecordDataSize();



    };
}
#endif //RECORD_H

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * $Log: record.h,v $
 * Revision 1.1.1.1  2004/08/27 16:31:54  darioglz
 * Initial Import.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

